Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename regex-cache
%global enable_tests 1

Name:		nodejs-regex-cache
Version:	0.4.3
Release:	alt1_7
Summary:	Memoize the results of a call to the RegExp constructor

License:	MIT
URL:		https://github.com/jonschlinkert/regex-cache.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# The 0.4.2 release is not tagged in github, so pull from master for now
Source1:	https://raw.githubusercontent.com/jonschlinkert/regex-cache/master/test.js
Source2:	https://raw.githubusercontent.com/jonschlinkert/regex-cache/master/support.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(is-equal-shallow)
BuildRequires:	npm(is-primitive)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif
Source44: import.info

%description
Memoize the results of a call to the RegExp constructor, avoiding repetitious
runtime compilation of the same string and options, resulting in dramatic speed
improvements.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.3-alt1_7
- new version

